com.h3c.sdn.misc.net

## Class ConcurrentAgingHashMap<K,V>

- java.lang.Object
- - com.h3c.sdn.misc.net.ConcurrentAgingHashMap<K,V>

- Type Parameters:
    `K` - Key
    `V` - Value

  Deprecated.

      @Deprecated
      public class ConcurrentAgingHashMap<K,V>
      extends Object

  ConcurrentAgingHashMap is a wrapper around concurrent HashMap which provides per record aging feature.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentAgingHashMap(long age)` Deprecated. Constructs a ConcurrentAgingHashMap structure.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Deprecated. Clear all entries in the map.
    `Set<Map.Entry<K,V>>` | `entrySet()` Deprecated. Return a set with key value pair.
    `V` | `get(K key)` Deprecated. Returns the value for given key.
    `void` | `put(K key, V value)` Deprecated. Stores the key value pair into the Map.
    `void` | `remove(K key)` Deprecated. Remove the value for given key.
    `void` | `replace(K key, V value)` Deprecated. Replace the entry for the given Key Value pair.
    `int` | `size()` Deprecated. Returns the number of entries.
    `Collection<V>` | `values()` Deprecated. Return a collection with only values

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentAgingHashMap

          public ConcurrentAgingHashMap(long age)

      Deprecated.
      Constructs a ConcurrentAgingHashMap structure.
      Parameters:
        `age` - of the map in milliseconds

  - ### Method Detail

    - #### size

          public int size()

      Deprecated.
      Returns the number of entries.
      Returns:
        size of the map

    - #### get

          public V get(K key)

      Deprecated.
      Returns the value for given key.
      Parameters:
        `key` - for which value needs to retrieved
      Returns:
        value corresponding to the key

    - #### put

          public void put(K key,
                 V value)

      Deprecated.
      Stores the key value pair into the Map.
      Parameters:
        `key` - Key
        `value` - Value

    - #### remove

          public void remove(K key)

      Deprecated.
      Remove the value for given key.
      Parameters:
        `key` - remove value corresponding to key

    - #### replace

          public void replace(K key,
                     V value)

      Deprecated.
      Replace the entry for the given Key Value pair.
      Parameters:
        `key` - Key
        `value` - Value

    - #### entrySet

          public Set<Map.Entry<K,V>> entrySet()

      Deprecated.
      Return a set with key value pair.
      Returns:
        Set Set with key value pair

    - #### values

          public Collection<V> values()

      Deprecated.
      Return a collection with only values
      Returns:
        values collection of values

    - #### clear

          public void clear()

      Deprecated.
      Clear all entries in the map.

Copyright © 2014. All Rights Reserved.